Forum

Author Topic: Installation fails on linux  (Read 1513 times)

edap

  • Newbie
  • *
  • Posts: 1
    • View Profile
Installation fails on linux
« on: April 18, 2019, 12:19:34 PM »
After downloading metashape:

./metashape.sh
This application failed to start because it could not find or load the Qt platform plugin "xcb"
in "".

Reinstalling the application may fix this problem.
Aborted (core dumped)


Also, a README file it is usually expected.

Alexey Pasumansky

  • Agisoft Technical Support
  • Hero Member
  • *****
  • Posts: 12940
    • View Profile
Re: Installation fails on linux
« Reply #1 on: April 18, 2019, 06:00:11 PM »
Hello edap,

Can you please specify, if you are working on the computer directly or are accessing remotely (ssh, vnc)?

Also please provide the output of the following commands:
QT_DEBUG_PLUGINS=1 ./metashape.sh
and
glxinfo
Best regards,
Alexey Pasumansky,
Agisoft LLC

parry

  • Newbie
  • *
  • Posts: 5
    • View Profile
Re: Installation fails on linux
« Reply #2 on: January 18, 2021, 04:59:27 AM »
Well it seems that this has been viewed 600+ times so perhaps there is a solution to this issue.

I'm afraid that the error  occurs for me also in Ubuntu 16.04

"qt.qpa.plugin: Could not load the Qt platform plugin "xcb" in "" even though it was found.
This application failed to start because no Qt platform plugin could be initialized. Reinstalling the application may fix this problem.

Available platform plugins are: offscreen, xcb."  metashape.sh: line 21: 32632 Aborted                 (core dumped) "$dirname/$appname" "$@"
appears for me
It makes no difference if I ssh or execute the file locally.  Exactly what requirements are there of the shell installation script ?   Does it expect a specific version of python ?  There seems to be something missing here in my Ubuntu 16 installation.


parry

  • Newbie
  • *
  • Posts: 5
    • View Profile
Re: Installation fails on linux
« Reply #3 on: January 18, 2021, 05:37:45 AM »
Well, looks like inserting the line in  the metashape.sh file
"export QT_DEBUG_PLUGINS=1 "  solved the problem.   
This Qt platform seems a bit hairy...

Alexey Pasumansky

  • Agisoft Technical Support
  • Hero Member
  • *****
  • Posts: 12940
    • View Profile
Re: Installation fails on linux
« Reply #4 on: January 18, 2021, 01:08:00 PM »
Hello parry,

Which Metashape version are you using 1.6 or 1.7?
Best regards,
Alexey Pasumansky,
Agisoft LLC

parry

  • Newbie
  • *
  • Posts: 5
    • View Profile
Re: Installation fails on linux
« Reply #5 on: January 19, 2021, 02:15:22 AM »
Hi Alexey
It is 1.7.0 build 11736
But I seem to recall it did not make any difference

What is puzzling to me is that I rebuilt this system some time ago. Prior to rebuilding it, there were no probems.  I wish I had the original installation that caused no problems.
Thanks, Parry

andyroo

  • Sr. Member
  • ****
  • Posts: 390
    • View Profile
Re: Installation fails on linux
« Reply #6 on: May 07, 2021, 04:11:43 AM »
Also having this problem on a cluster with linux. Running monitor.sh or metashape.sh to get the GUI throws this error. Added "export QT_DEBUG_PLUGINS=1" to the metashape.sh and monitor.sh files and now I see the errors:

Code: [Select]
~] monitor.sh &
~] QFactoryLoader::QFactoryLoader() checking directory path "/home/software/tallgrass/arc/apps/metashape/1.7.2-pro/plugins" ...
QFactoryLoader::QFactoryLoader() checking directory path "/home/software/tallgrass/arc/apps/metashape/1.7.2-pro" ...
QFactoryLoader::QFactoryLoader() looking at "/home/software/tallgrass/arc/apps/metashape/1.7.2-pro/Agisoft.lic"
QElfParser: '/home/software/tallgrass/arc/apps/metashape/1.7.2-pro/Agisoft.lic' is not an ELF object (file too small)
"'/home/software/tallgrass/arc/apps/metashape/1.7.2-pro/Agisoft.lic' is not an ELF object (file too small)"
         not a plugin
QFactoryLoader::QFactoryLoader() looking at "/home/software/tallgrass/arc/apps/metashape/1.7.2-pro/crashreporter"
"Failed to extract plugin meta data from '/home/software/tallgrass/arc/apps/metashape/1.7.2-pro/crashreporter'"
         not a plugin
QFactoryLoader::QFactoryLoader() looking at "/home/software/tallgrass/arc/apps/metashape/1.7.2-pro/crashreporter.ini"
QElfParser: '/home/software/tallgrass/arc/apps/metashape/1.7.2-pro/crashreporter.ini' is not an ELF object
"'/home/software/tallgrass/arc/apps/metashape/1.7.2-pro/crashreporter.ini' is not an ELF object"
         not a plugin
QFactoryLoader::QFactoryLoader() looking at "/home/software/tallgrass/arc/apps/metashape/1.7.2-pro/eula.txt"
QElfParser: '/home/software/tallgrass/arc/apps/metashape/1.7.2-pro/eula.txt' is not an ELF object
"'/home/software/tallgrass/arc/apps/metashape/1.7.2-pro/eula.txt' is not an ELF object"
         not a plugin
QFactoryLoader::QFactoryLoader() looking at "/home/software/tallgrass/arc/apps/metashape/1.7.2-pro/metashape"
"Failed to extract plugin meta data from '/home/software/tallgrass/arc/apps/metashape/1.7.2-pro/metashape'"
         not a plugin
QFactoryLoader::QFactoryLoader() looking at "/home/software/tallgrass/arc/apps/metashape/1.7.2-pro/metashape.sh"
QElfParser: '/home/software/tallgrass/arc/apps/metashape/1.7.2-pro/metashape.sh' is not an ELF object
"'/home/software/tallgrass/arc/apps/metashape/1.7.2-pro/metashape.sh' is not an ELF object"
         not a plugin
QFactoryLoader::QFactoryLoader() looking at "/home/software/tallgrass/arc/apps/metashape/1.7.2-pro/monitor"
"Failed to extract plugin meta data from '/home/software/tallgrass/arc/apps/metashape/1.7.2-pro/monitor'"
         not a plugin
QFactoryLoader::QFactoryLoader() looking at "/home/software/tallgrass/arc/apps/metashape/1.7.2-pro/monitor.sh"
QElfParser: '/home/software/tallgrass/arc/apps/metashape/1.7.2-pro/monitor.sh' is not an ELF object
"'/home/software/tallgrass/arc/apps/metashape/1.7.2-pro/monitor.sh' is not an ELF object"
         not a plugin
QFactoryLoader::QFactoryLoader() looking at "/home/software/tallgrass/arc/apps/metashape/1.7.2-pro/qt.conf"
QElfParser: '/home/software/tallgrass/arc/apps/metashape/1.7.2-pro/qt.conf' is not an ELF object (file too small)
"'/home/software/tallgrass/arc/apps/metashape/1.7.2-pro/qt.conf' is not an ELF object (file too small)"
         not a plugin
QFactoryLoader::QFactoryLoader() looking at "/home/software/tallgrass/arc/apps/metashape/1.7.2-pro/rlm_roam.lic"
QElfParser: '/home/software/tallgrass/arc/apps/metashape/1.7.2-pro/rlm_roam.lic' is not an ELF object
"'/home/software/tallgrass/arc/apps/metashape/1.7.2-pro/rlm_roam.lic' is not an ELF object"
         not a plugin
QFactoryLoader::QFactoryLoader() looking at "/home/software/tallgrass/arc/apps/metashape/1.7.2-pro/viewer"
"Failed to extract plugin meta data from '/home/software/tallgrass/arc/apps/metashape/1.7.2-pro/viewer'"
         not a plugin
QFactoryLoader::QFactoryLoader() looking at "/home/software/tallgrass/arc/apps/metashape/1.7.2-pro/viewer.sh"
QElfParser: '/home/software/tallgrass/arc/apps/metashape/1.7.2-pro/viewer.sh' is not an ELF object
"'/home/software/tallgrass/arc/apps/metashape/1.7.2-pro/viewer.sh' is not an ELF object"
         not a plugin
QFactoryLoader::QFactoryLoader() checking directory path "/home/software/tallgrass/arc/apps/metashape/1.7.2-pro/plugins/platforms" ...
QFactoryLoader::QFactoryLoader() looking at "/home/software/tallgrass/arc/apps/metashape/1.7.2-pro/plugins/platforms/libqoffscreen.so"
Found metadata in lib /home/software/tallgrass/arc/apps/metashape/1.7.2-pro/plugins/platforms/libqoffscreen.so, metadata=
{
    "IID": "org.qt-project.Qt.QPA.QPlatformIntegrationFactoryInterface.5.3",
    "MetaData": {
        "Keys": [
            "offscreen"
        ]
    },
    "archreq": 0,
    "className": "QOffscreenIntegrationPlugin",
    "debug": false,
    "version": 331520
}


Got keys from plugin meta data ("offscreen")
QFactoryLoader::QFactoryLoader() looking at "/home/software/tallgrass/arc/apps/metashape/1.7.2-pro/plugins/platforms/libqxcb.so"
Found metadata in lib /home/software/tallgrass/arc/apps/metashape/1.7.2-pro/plugins/platforms/libqxcb.so, metadata=
{
    "IID": "org.qt-project.Qt.QPA.QPlatformIntegrationFactoryInterface.5.3",
    "MetaData": {
        "Keys": [
            "xcb"
        ]
    },
    "archreq": 0,
    "className": "QXcbIntegrationPlugin",
    "debug": false,
    "version": 331520
}


Got keys from plugin meta data ("xcb")
QFactoryLoader::QFactoryLoader() checking directory path "/home/software/tallgrass/arc/apps/metashape/1.7.2-pro/platforms" ...
Cannot load library /home/software/tallgrass/arc/apps/metashape/1.7.2-pro/plugins/platforms/libqxcb.so: (libxcb-icccm.so.4: cannot open shared object file: No such file or directory)
QLibraryPrivate::loadPlugin failed on "/home/software/tallgrass/arc/apps/metashape/1.7.2-pro/plugins/platforms/libqxcb.so" : "Cannot load library /home/software/tallgrass/arc/apps/metashape/1.7.2-pro/plugins/platforms/libqxcb.so: (libxcb-icccm.so.4: cannot open shared object file: No such file or directory)"
qt.qpa.plugin: Could not load the Qt platform plugin "xcb" in "/home/software/tallgrass/arc/apps/metashape/1.7.2-pro/plugins" even though it was found.
This application failed to start because no Qt platform plugin could be initialized. Reinstalling the application may fix this problem.

Available platform plugins are: offscreen, xcb.

/home/software/tallgrass/arc/apps/metashape/1.7.2-pro/monitor.sh: line 23: 235112 Aborted                 "$dirname/$appname" "$@"

it looks like libqxcb.so can't find libxcb-icccm.so.4 and if I run ldd, then apparently it also can't find libxcb-image.so.0, libxcb-keysyms.so.1, and libxcb-render-util.so.0

I did a little digging and I was wondering if it might be a similar issue to this thread where some files were overwritten when updating QT, or if there's something weird going on with conflicting libraries/paths - some of the paths shown in the output of ldd aren't in the metashape heirarchy at all. I'm not familiar enough with linux to know if the libraries that are referred to outside of the metashape heirarchy are supposed to be that way or not, or if I or the cluster admin should be expected to figure this out and install the necessary packages, or if metashape should normally do that <sigh>.

This is the output of ldd on libqxcb.so on our login node:

ldd /home/software/tallgrass/arc/apps/metashape/1.7.2-pro/plugins/platforms/libqxcb.so
Code: [Select]
linux-vdso.so.1 =>  (0x00002aaaaaacd000)
libQt5XcbQpa.so.5 => /home/software/tallgrass/arc/apps/metashape/1.7.2-pro/plugins/platforms/../../lib/libQt5XcbQpa.so.5 (0x00002aaaaaed2000)
libQt5Gui.so.5 => /home/software/tallgrass/arc/apps/metashape/1.7.2-pro/plugins/platforms/../../lib/libQt5Gui.so.5 (0x00002aaaab1f3000)
libQt5Core.so.5 => /home/software/tallgrass/arc/apps/metashape/1.7.2-pro/plugins/platforms/../../lib/libQt5Core.so.5 (0x00002aaaaba5e000)
libstdc++.so.6 => /cm/local/apps/gcc/8.2.0/lib64/libstdc++.so.6 (0x00002aaaac2c7000)
libc.so.6 => /lib64/libc.so.6 (0x00002aaaac64b000)
libfontconfig.so.1 => /lib64/libfontconfig.so.1 (0x00002aaaaca19000)
libfreetype.so.6 => /lib64/libfreetype.so.6 (0x00002aaaacc5b000)
libQt5DBus.so.5 => /home/software/tallgrass/arc/apps/metashape/1.7.2-pro/plugins/platforms/../../lib/libQt5DBus.so.5 (0x00002aaaacf1a000)
libpthread.so.0 => /lib64/libpthread.so.0 (0x00002aaaad1aa000)
libX11-xcb.so.1 => /home/software/tallgrass/arc/apps/metashape/1.7.2-pro/plugins/platforms/../../lib/libX11-xcb.so.1 (0x00002aaaad3c6000)
libxcb-icccm.so.4 => not found
libxcb-image.so.0 => not found
libxcb-shm.so.0 => /lib64/libxcb-shm.so.0 (0x00002aaaad5c8000)
libxcb-keysyms.so.1 => not found
libxcb-randr.so.0 => /lib64/libxcb-randr.so.0 (0x00002aaaad7cc000)
libxcb-render-util.so.0 => not found
libxcb-sync.so.1 => /lib64/libxcb-sync.so.1 (0x00002aaaad9dc000)
libxcb-xfixes.so.0 => /lib64/libxcb-xfixes.so.0 (0x00002aaaadbe3000)
libxcb-render.so.0 => /lib64/libxcb-render.so.0 (0x00002aaaaddeb000)
libxcb-shape.so.0 => /lib64/libxcb-shape.so.0 (0x00002aaaadff9000)
libxcb-xinerama.so.0 => /lib64/libxcb-xinerama.so.0 (0x00002aaaae1fd000)
libxcb-xkb.so.1 => /lib64/libxcb-xkb.so.1 (0x00002aaaae400000)
libxcb.so.1 => /lib64/libxcb.so.1 (0x00002aaaae61c000)
libX11.so.6 => /lib64/libX11.so.6 (0x00002aaaae844000)
libSM.so.6 => /lib64/libSM.so.6 (0x00002aaaaeb82000)
libICE.so.6 => /lib64/libICE.so.6 (0x00002aaaaed8a000)
libxkbcommon-x11.so.0 => /lib64/libxkbcommon-x11.so.0 (0x00002aaaaefa6000)
libxkbcommon.so.0 => /lib64/libxkbcommon.so.0 (0x00002aaaaf1ae000)
libglib-2.0.so.0 => /lib64/libglib-2.0.so.0 (0x00002aaaaf3ee000)
libm.so.6 => /lib64/libm.so.6 (0x00002aaaaf704000)
libgcc_s.so.1 => /cm/local/apps/gcc/8.2.0/lib64/libgcc_s.so.1 (0x00002aaaafa06000)
libGL.so.1 => /lib64/libGL.so.1 (0x00002aaaafc1e000)
libz.so.1 => /lib64/libz.so.1 (0x00002aaaafeaa000)
libdl.so.2 => /lib64/libdl.so.2 (0x00002aaab00c0000)
/lib64/ld-linux-x86-64.so.2 (0x00002aaaaaaab000)
libexpat.so.1 => /lib64/libexpat.so.1 (0x00002aaab02c4000)
libuuid.so.1 => /lib64/libuuid.so.1 (0x00002aaab04ee000)
libbz2.so.1 => /lib64/libbz2.so.1 (0x00002aaab06f3000)
libpng15.so.15 => /lib64/libpng15.so.15 (0x00002aaab0903000)
libXau.so.6 => /lib64/libXau.so.6 (0x00002aaab0b2e000)
libpcre.so.1 => /lib64/libpcre.so.1 (0x00002aaab0d32000)
libGLX.so.0 => /lib64/libGLX.so.0 (0x00002aaab0f94000)
libXext.so.6 => /lib64/libXext.so.6 (0x00002aaab11c6000)
libGLdispatch.so.0 => /lib64/libGLdispatch.so.0 (0x00002aaab13d8000)

so I *think* our admin can fix this by doing yum provides "*/<library>" for all the missing packages, then doing yum install <package>, but again, I don't know if this is just a "quirk" of linux or if it's a package misconfiguration in the current linux build of metashape.

ok that's about all my brain can handle learning today. I need a beer.

Andy

Alexey Pasumansky

  • Agisoft Technical Support
  • Hero Member
  • *****
  • Posts: 12940
    • View Profile
Re: Installation fails on linux
« Reply #7 on: May 07, 2021, 01:30:27 PM »
Hello Andy,

Which OS distribution you are using and if you are working on the computer remotely (if so, then how the remote connection is established)?
Best regards,
Alexey Pasumansky,
Agisoft LLC

andyroo

  • Sr. Member
  • ****
  • Posts: 390
    • View Profile
Re: Installation fails on linux
« Reply #8 on: May 07, 2021, 09:28:20 PM »
Which OS distribution you are using...

CentOS 7.7.1908

and if you are working on the computer remotely (if so, then how the remote connection is established)

vncserver with Xfce desktop environment

the fix was:

yum install xcb-util-wm xcb-util-image xcb-util-keysyms xcb-util-renderutil


working now

[EDIT - adding new observations below]

I'm seeing these messages in the terminal now. I included the last debug line before the repeating sequence of console messages - with one buried error amongst the sequence. Been running for about 45 minutes now with ~8 repeats of the sequence:

Code: [Select]
loaded library "udev"
Only C and default locale supported with the posix collation implementation
Only C and default locale supported with the posix collation implementation
Case insensitive sorting unsupported in the posix collation implementation
Numeric mode unsupported in the posix collation implementation
Only C and default locale supported with the posix collation implementation
Only C and default locale supported with the posix collation implementation
Case insensitive sorting unsupported in the posix collation implementation
Numeric mode unsupported in the posix collation implementation
Only C and default locale supported with the posix collation implementation
Only C and default locale supported with the posix collation implementation
Case insensitive sorting unsupported in the posix collation implementation
Numeric mode unsupported in the posix collation implementation
Only C and default locale supported with the posix collation implementation
Only C and default locale supported with the posix collation implementation
Case insensitive sorting unsupported in the posix collation implementation
Numeric mode unsupported in the posix collation implementation
Only C and default locale supported with the posix collation implementation
Only C and default locale supported with the posix collation implementation
Case insensitive sorting unsupported in the posix collation implementation
Numeric mode unsupported in the posix collation implementation
qt.qpa.xcb: QXcbConnection: XCB error: 3 (BadWindow), sequence: 38163, resource id: 16689444, major code: 40 (TranslateCoords), minor code: 0
Only C and default locale supported with the posix collation implementation
Only C and default locale supported with the posix collation implementation
Case insensitive sorting unsupported in the posix collation implementation
Numeric mode unsupported in the posix collation implementation
Only C and default locale supported with the posix collation implementation
Only C and default locale supported with the posix collation implementation
Case insensitive sorting unsupported in the posix collation implementation
Numeric mode unsupported in the posix collation implementation


wondering if it's related to this post that says installing libicu-dev (before building Qt) makes the messages disappear...
« Last Edit: May 07, 2021, 11:17:19 PM by andyroo »